package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag935;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT935Creator;

/**
 * @author gechengyang
 * @date 2023/2/18
 */
public class Tag72Creator extends AbsTagCreate {

     private MT935Creator mt935Creator;

    public Tag72Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt935Creator= (MT935Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72Value = mt935Creator.getSenderReceiverInfo();
        mt935Creator.set("72", tag72Value);
    }
}
